GET /api/v3/weatherstation

Get weather stations. Includes custom-created weather stations

GetWeatherStationsV3 Permissions: WeatherSettings (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

WeatherStationResponse
Property Description Type
baseStationCode Code of the base weather station Will be null if not linked string
channel ChannelChild
ChannelChild properties
Property Description Type
channelCode The channel code Combines observationTypeCode:unitCode:observationMethodCode:observationRuleCode:interval in minutes string
channelId The channel identifier integer (int32)
interval The channel interval in seconds. Monthly = 2592000 Weekly = 604800 Daily = 86400 Hourly = 3600 Thirty_Minutes = 1800 Fifteen_Minutes = 900 integer (int32)
stationCode Weather station code string
stationId ID of the weather station integer (int32)
stationInfo Weather station info string
Example Response application/json
[
  {    "baseStationCode": "string",    "channel": {      "channelCode": "string",      "channelId": 1,      "interval": 1
    },    "stationCode": "string",    "stationId": 1,    "stationInfo": "string"
  }
]